Page MenuHomeFreeBSD

net-mgmt/unifi6: Update to 6.0.41
ClosedPublic

Authored by rhurlin on Dec 3 2020, 5:13 PM.
Tags
None
Referenced Files
F89026625: D27461.id.diff
Mon, Jul 22, 1:54 PM
F89026345: D27461.diff
Mon, Jul 22, 1:48 PM
Unknown Object (File)
Tue, Jul 16, 12:30 PM
Unknown Object (File)
Thu, Jul 11, 12:27 PM
Unknown Object (File)
Thu, Jul 11, 1:05 AM
Unknown Object (File)
Mon, Jul 1, 3:19 AM
Unknown Object (File)
Mon, Jun 24, 8:40 PM
Unknown Object (File)
Jun 20 2024, 10:11 PM

Details

Summary

Updates UniFi Network Controller from v 6.0.28 to v6.0.41.

Several enhancements and many bug fixes [1][2].

[1] https://community.ui.com/releases/UniFi-Network-Controller-6-0-36/9e57165b-3422-4fcf-ae02-13affcb388c8
[2] https://community.ui.com/releases/UniFi-Network-Controller-6-0-41/25633411-0273-4197-bf30-4aff30b3701e

The port changes from hardcoded EXTRACT_CMD to ${AR}. Seems to work as expected.

Submitted by Juraj Lutter <juraj@lutter.sk> (maintainer) in PR 251565, see also 251378 for previous, not committed version 6.0.36.

Tested on Poudriere (amd64). Poudriere i386 does not work because of databases/mongodb36, which deprecated support in v3.

'portlint -AC' is ok.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 35171
Build 32121: arc lint + arc unit

Event Timeline

patched my 6.0.28 in /usr/ports/unifi6. make; make deinstall ; make reinstall. I'm on 6.0.41 now, all seems to be working.

otis removed a reviewer: otis.
otis added a subscriber: otis.
arrowd added inline comments.
net-mgmt/unifi6/Makefile
32

I'm a bit worried about that pipe. Since the Makefile already has post-extract target, maybe move the tar.xz extraction there?

You're free to leave it as is, if you want.

This revision is now accepted and ready to land.Dec 4 2020, 5:02 AM
This revision was automatically updated to reflect the committed changes.